BasicMenuUI.ChangeHandler (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicMenuUI.ChangeHandler class
Date: 2016-12-09

javax.swing.plaf.basic

## Class BasicMenuUI.ChangeHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicMenuUI.ChangeHandler

- All Implemented Interfaces:
    EventListener, ChangeListener
  Enclosing class:
    BasicMenuUI

      public class BasicMenuUI.ChangeHandler
      extends Object
      implements ChangeListener

  As of Java 2 platform 1.4, this previously undocumented class is now obsolete. KeyBindings are now managed by the popup menu.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `isSelected`
    `JMenu` | `menu`
    `BasicMenuUI` | `ui`
    `Component` | `wasFocused`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeHandler(JMenu m, BasicMenuUI ui)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `stateChanged(ChangeEvent e)` Invoked when the target of the listener has changed its state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### menu

          public JMenu menu

    - #### ui

          public BasicMenuUI ui

    - #### isSelected

          public boolean isSelected

    - #### wasFocused

          public Component wasFocused

  - ### Constructor Detail

    - #### ChangeHandler

          public ChangeHandler(JMenu m,
                               BasicMenuUI ui)

  - ### Method Detail

    - #### stateChanged

          public void stateChanged(ChangeEvent e)

      Description copied from interface: `ChangeListener`
      Invoked when the target of the listener has changed its state.
      Specified by:
        `stateChanged` in interface `ChangeListener`
      Parameters:
        `e` - a ChangeEvent object

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.